#include <iostream>
using namespace std;

int main()
{
    int N,L;
    int provera;
    int resenje=-1;

    cin >> N >> L;

    for(int i=0; i<N;i++)
    {
        cin >> provera;
        if(provera <= L) resenje = i+1;
    }

   
    cout << resenje;
    
    return 0;
}